Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519813 - Error while looking for centos images in docker hub
Summary: Error while looking for centos images in docker hub
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Container Management
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 13:46 UTC by Oleg Dovzhenko
Modified: 2019-04-01 20:27 UTC (History)
5 users (show)

Fixed In Version: tfm-rubygem-foreman_docker-3.1.0.2-1.fm1_14,tfm-rubygem-foreman_docker-3.1.0.3-1.fm1_14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:17 UTC


Attachments (Terms of Use)
Error (deleted)
2017-12-01 13:46 UTC, Oleg Dovzhenko
no flags Details
production logs (deleted)
2017-12-01 13:51 UTC, Oleg Dovzhenko
no flags Details
traceback in production.log when clicked on search icon (deleted)
2018-01-16 13:27 UTC, Nikhil Kathole
no flags Details

Description Oleg Dovzhenko 2017-12-01 13:46:05 UTC
Created attachment 1361605 [details]
Error

Description of problem:
Error while looking for centos images in docker hub

Version-Release number of selected component (if applicable):
Satellite 6.3.0 snap 26
foreman-1.15.6.12-1.el7sat.noarch
foreman-bootloaders-redhat-201707171807-1.el7sat.noarch
foreman-bootloaders-redhat-tftpboot-201707171807-1.el7sat.noarch
foreman-cli-1.15.6.12-1.el7sat.noarch
foreman-compute-1.15.6.12-1.el7sat.noarch
foreman-debug-1.15.6.12-1.el7sat.noarch
foreman-discovery-image-3.4.1-3.el7sat.noarch
foreman-ec2-1.15.6.12-1.el7sat.noarch
foreman-gce-1.15.6.12-1.el7sat.noarch
foreman-installer-1.15.6.4-1.el7sat.noarch
foreman-installer-katello-3.4.5.12-1.el7sat.noarch
foreman-libvirt-1.15.6.12-1.el7sat.noarch
foreman-openstack-1.15.6.12-1.el7sat.noarch
foreman-ovirt-1.15.6.12-1.el7sat.noarch
foreman-postgresql-1.15.6.12-1.el7sat.noarch
foreman-proxy-1.15.6.1-1.el7sat.noarch
foreman-proxy-content-3.4.5-6.el7sat.noarch
foreman-rackspace-1.15.6.12-1.el7sat.noarch
foreman-selinux-1.15.5-1.el7sat.noarch
foreman-vmware-1.15.6.12-1.el7sat.noarch
hp-dl360egen8-01.khw.lab.eng.bos.redhat.com-foreman-client-1.0-1.noarch
hp-dl360egen8-01.khw.lab.eng.bos.redhat.com-foreman-proxy-1.0-2.noarch
hp-dl360egen8-01.khw.lab.eng.bos.redhat.com-foreman-proxy-client-1.0-1.noarch
katello-3.4.5-6.el7sat.noarch
katello-ca-consumer-sat-r220-02.lab.eng.rdu2.redhat.com-1.0-5.noarch
katello-certs-tools-2.4.0-1.el7sat.noarch
katello-client-bootstrap-1.4.2-1.el7sat.noarch
katello-common-3.4.5-6.el7sat.noarch
katello-debug-3.4.5-6.el7sat.noarch
katello-default-ca-1.0-1.noarch
katello-installer-base-3.4.5.12-1.el7sat.noarch
katello-selinux-3.0.2-1.el7sat.noarch
katello-server-ca-1.0-1.noarch
katello-service-3.4.5-6.el7sat.noarch
pulp-katello-1.0.2-1.el7sat.noarch
puppet-foreman_scap_client-0.3.16-1.el7sat.noarch
satellite-6.3.0-21.0.beta.el7sat.noarch
satellite-cli-6.3.0-21.0.beta.el7sat.noarch
satellite-common-6.3.0-21.0.beta.el7sat.noarch
satellite-installer-6.3.0.9-1.beta.el7sat.noarch
tfm-rubygem-foreman_bootdisk-9.0.0-2.fm1_15.el7sat.noarch
tfm-rubygem-foreman_discovery-9.1.5-1.fm1_15.el7sat.noarch
tfm-rubygem-foreman_docker-3.1.0-1.fm1_15.el7sat.noarch
tfm-rubygem-foreman_hooks-0.3.14-1.fm1_15.el7sat.noarch
tfm-rubygem-foreman_openscap-0.7.10-1.fm1_15.el7sat.noarch
tfm-rubygem-foreman-redhat_access-2.0.12-1.el7sat.noarch
tfm-rubygem-foreman_remote_execution-1.3.7-1.fm1_15.el7sat.noarch
tfm-rubygem-foreman_remote_execution_core-1.0.6-1.fm1_15.el7sat.noarch
tfm-rubygem-foreman-tasks-0.9.6.2-1.fm1_15.el7sat.noarch
tfm-rubygem-foreman-tasks-core-0.1.8-1.fm1_15.el7sat.noarch
tfm-rubygem-foreman_theme_satellite-1.0.4.12-1.el7sat.noarch
tfm-rubygem-foreman_virt_who_configure-0.1.8-1.fm1_15.el7sat.noarch
tfm-rubygem-hammer_cli_foreman-0.11.0.5-1.el7sat.noarch
tfm-rubygem-hammer_cli_foreman_admin-0.0.7-1.el7sat.noarch
tfm-rubygem-hammer_cli_foreman_bootdisk-0.1.3.3-2.el7sat.noarch
tfm-rubygem-hammer_cli_foreman_discovery-1.0.0-1.el7sat.noarch
tfm-rubygem-hammer_cli_foreman_docker-0.0.6-2.el7sat.noarch
tfm-rubygem-hammer_cli_foreman_openscap-0.1.5-1.fm1_15.el7sat.noarch
tfm-rubygem-hammer_cli_foreman_remote_execution-0.0.6-1.fm1_15.el7sat.noarch
tfm-rubygem-hammer_cli_foreman_tasks-0.0.12-1.fm1_15.el7sat.noarch
tfm-rubygem-hammer_cli_foreman_virt_who_configure-0.0.3-1.el7sat.noarch
tfm-rubygem-hammer_cli_katello-0.11.3.3-1.el7sat.noarch
tfm-rubygem-katello-3.4.5.29-1.el7sat.noarch
tfm-rubygem-katello_ostree-3.4.5.29-1.el7sat.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create Docker compute resource
2. Go to Containers -> Create container wizard
3. Proceed to Image step, select Docker hub tab
4. Search for 'centos'

Actual results:
'Oops, we're sorry but something went wrong wrong number of arguments (given 2, expected 1)' Error shown 

Expected results:
centos images found, satellite propose to select Tag

Additional info:

Comment 1 Oleg Dovzhenko 2017-12-01 13:51:46 UTC
Created attachment 1361606 [details]
production logs

Comment 2 Brad Buckingham 2017-12-01 16:26:41 UTC
Is this a regression from Satellite 6.2.z?

Comment 3 Oleg Dovzhenko 2017-12-13 08:04:41 UTC
It works fine in 6.2. So looks like a regression.

Comment 8 Nikhil Kathole 2018-01-16 13:27:12 UTC
Version tested:
Satellite 6.3 snap 32

Found autocomplete image search and image tag working.

2018-01-16 08:20:11 723bfb57 [app] [I] Started GET "/image_search/4/auto_complete_repository_name?registry=hub&search=centos" for IP at 2018-01-16 08:20:11 -0500
2018-01-16 08:20:11 723bfb57 [app] [I] Processing by ImageSearchController#auto_complete_repository_name as */*
2018-01-16 08:20:11 723bfb57 [app] [I]   Parameters: {"registry"=>"hub", "search"=>"centos", "id"=>"4"}
2018-01-16 08:20:11 723bfb57 [app] [I] Current user: admin (administrator)
2018-01-16 08:20:11 723bfb57 [app] [I] Expire fragment views/tabs_and_title_records-3 (0.1ms)
2018-01-16 08:20:12 723bfb57 [app] [I]   Rendered text template (0.0ms)
2018-01-16 08:20:12 723bfb57 [app] [I] Completed 200 OK in 726ms (Views: 1.1ms | ActiveRecord: 3.3ms)
2018-01-16 08:20:12 deb1f47b [app] [I] Started GET "/image_search/4/auto_complete_image_tag?registry=hub&search=centos" for IP at 2018-01-16 08:20:12 -0500
2018-01-16 08:20:12 deb1f47b [app] [I] Processing by ImageSearchController#auto_complete_image_tag as JSON
2018-01-16 08:20:12 deb1f47b [app] [I]   Parameters: {"registry"=>"hub", "search"=>"centos", "id"=>"4"}
2018-01-16 08:20:12 deb1f47b [app] [I] Current user: admin (administrator)
2018-01-16 08:20:12 deb1f47b [app] [I] Expire fragment views/tabs_and_title_records-3 (0.1ms)
2018-01-16 08:20:12 deb1f47b [app] [I] Completed 200 OK in 363ms (Views: 2.0ms | ActiveRecord: 3.4ms)

But adding value in search field and clicking on search icon gives long traceback in production.log. (see attachment)

Is this expected?

Comment 9 Nikhil Kathole 2018-01-16 13:27:52 UTC
Created attachment 1382016 [details]
traceback in production.log when clicked on search icon

Comment 10 Sebastian Gräßl 2018-01-18 06:18:25 UTC
There is now another merge request for downstream that addresses the issue when searching.

Comment 12 Nikhil Kathole 2018-02-01 13:01:33 UTC
VERIFIED

Version tested:
Satellite 6.3 snap 34

Autocomplete image search as well as adding value in search field and clicking on search icon worked successfully.


2018-02-01 07:55:49 402356b8 [app] [I] Started GET "/image_search/2/search_repository?registry=hub&search=centos" for IP at 2018-02-01 07:55:49 -0500
2018-02-01 07:55:49 402356b8 [app] [I] Processing by ImageSearchController#search_repository as TEXT
2018-02-01 07:55:49 402356b8 [app] [I]   Parameters: {"registry"=>"hub", "search"=>"centos", "id"=>"2"}
2018-02-01 07:55:49 402356b8 [app] [I] Current user: admin (administrator)
2018-02-01 07:55:49 402356b8 [app] [I] Expire fragment views/tabs_and_title_records-3 (0.2ms)
2018-02-01 07:55:50 402356b8 [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_docker-3.1.0.3/app/views/image_search/_repository_search_results.html.erb (6.9ms)
2018-02-01 07:55:50 402356b8 [app] [I] Completed 200 OK in 339ms (Views: 8.0ms | ActiveRecord: 5.8ms)

2018-02-01 07:57:01 7617f626 [app] [I] Started GET "/image_search/2/auto_complete_repository_name?registry=hub&search=centos" for IP at 2018-02-01 07:57:01 -0500
2018-02-01 07:57:01 7617f626 [app] [I] Processing by ImageSearchController#auto_complete_repository_name as */*
2018-02-01 07:57:01 7617f626 [app] [I]   Parameters: {"registry"=>"hub", "search"=>"centos", "id"=>"2"}
2018-02-01 07:57:01 7617f626 [app] [I] Current user: admin (administrator)
2018-02-01 07:57:01 7617f626 [app] [I] Expire fragment views/tabs_and_title_records-3 (0.2ms)
2018-02-01 07:57:02 7617f626 [app] [I]   Rendered text template (0.0ms)
2018-02-01 07:57:02 7617f626 [app] [I] Completed 200 OK in 362ms (Views: 0.8ms | ActiveRecord: 5.8ms)
2018-02-01 07:57:02 aa39362e [app] [I] Started GET "/image_search/2/auto_complete_image_tag?registry=hub&search=centos" for IP at 2018-02-01 07:57:02 -0500
2018-02-01 07:57:02 aa39362e [app] [I] Processing by ImageSearchController#auto_complete_image_tag as JSON
2018-02-01 07:57:02 aa39362e [app] [I]   Parameters: {"registry"=>"hub", "search"=>"centos", "id"=>"2"}
2018-02-01 07:57:02 aa39362e [app] [I] Current user: admin (administrator)
2018-02-01 07:57:02 aa39362e [app] [I] Expire fragment views/tabs_and_title_records-3 (0.2ms)
2018-02-01 07:57:02 aa39362e [app] [I] Completed 200 OK in 255ms (Views: 2.2ms | ActiveRecord: 6.0ms)

Comment 13 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.